MySQL++ Reference Manual

Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::SQLString Class Reference

A specialized `std::string` that will convert from any valid MySQL type. More...

`#include <sql_string.h>`

List of all members.

## Public Methods
MYSQLPP_EXPORT | SQLString ()
| Default constructor; empty string.
MYSQLPP_EXPORT | SQLString (const std::string &str)
| Create object as a copy of a C++ string.
MYSQLPP_EXPORT | SQLString (const char *str)
| Create object as a copy of a C string.
MYSQLPP_EXPORT | SQLString (char i)
| Create object as the string form of a `char` value.
MYSQLPP_EXPORT | SQLString (unsigned char i)
| Create object as the string form of an `unsigned` `char` value.
MYSQLPP_EXPORT | SQLString (short int i)
| Create object as the string form of a `short` `int` value.
MYSQLPP_EXPORT | SQLString (unsigned short int i)
| Create object as the string form of an `unsigned` `short` `int` value.
MYSQLPP_EXPORT | SQLString (int i)
| Create object as the string form of an `int` value.
MYSQLPP_EXPORT | SQLString (unsigned int i)
| Create object as the string form of an `unsigned` `int` value.
MYSQLPP_EXPORT | SQLString (longlong i)
| Create object as the string form of a `longlong` value.
MYSQLPP_EXPORT | SQLString (ulonglong i)
| Create object as the string form of an `unsigned` `longlong` value.
MYSQLPP_EXPORT | SQLString (float i)
| Create object as the string form of a `float` value.
MYSQLPP_EXPORT | SQLString (double i)
| Create object as the string form of a `double` value.
SQLString & | operator= (const char *str)
| Copy a C string into this object.
SQLString & | operator= (const std::string &str)
| Copy a C++ `string` into this object.
## Public Attributes
bool | is_string
| If true, the object's string data is a copy of another string. Otherwise, it's the string form of an integral type.
bool | dont_escape
| If true, the string data doesn't need to be SQL-escaped when building a query.
bool | processed
| If true, one of the MySQL++ manipulators has processed the string data.

## Detailed Description

A specialized `std::string` that will convert from any valid MySQL type.

## Member Data Documentation

bool mysqlpp::SQLString::processed

| If true, one of the MySQL++ manipulators has processed the string data. "Processing" is escaping special SQL characters, and/or adding quotes. See the documentation for manip.h for details. This flag is used by the template query mechanism, to prevent a string from being re-escaped or re-quoted each time that query is reused. The flag is reset by operator=, to force the new parameter value to be re-processed.

The documentation for this class was generated from the following files:

- sql_string.h
- sql_string.cpp